MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
emoshapeio::event Class Reference

`#include <sio_socket.h>`

## Public Member Functions
const std::string & | get_nsp () const
const std::string & | get_name () const
const message::ptr & | get_message () const
const message::list & | get_messages () const
bool | need_ack () const
void | put_ack_message (message::list const &ack_message)
message::list const & | get_ack_message () const

## Protected Member Functions
| event (std::string const &nsp, std::string const &name, message::list const &messages, bool need_ack)
| event (std::string const &nsp, std::string const &name, message::list &&messages, bool need_ack)
message::list & | get_ack_message_impl ()

## Friends
class | event_adapter

## Constructor & Destructor Documentation

## ◆ event() [1/2]

emoshapeio::event::event | ( | std::string const & | nsp,
|  | std::string const & | name,
|  | message::list const & | messages,
|  | bool | need_ack )
| inline protected

## ◆ event() [2/2]

emoshapeio::event::event | ( | std::string const & | nsp,
|  | std::string const & | name,
|  | message::list && | messages,
|  | bool | need_ack )
| inline protected

## Member Function Documentation

## ◆ get_ack_message()

message::list const & emoshapeio::event::get_ack_message | ( |  | ) | const

## ◆ get_ack_message_impl()

message::list & emoshapeio::event::get_ack_message_impl | ( |  | ) |
| inline protected

## ◆ get_message()

const message::ptr & emoshapeio::event::get_message | ( |  | ) | const

## ◆ get_messages()

const message::list & emoshapeio::event::get_messages | ( |  | ) | const

## ◆ get_name()

const std::string & emoshapeio::event::get_name | ( |  | ) | const

## ◆ get_nsp()

const std::string & emoshapeio::event::get_nsp | ( |  | ) | const

## ◆ need_ack()

bool emoshapeio::event::need_ack | ( |  | ) | const

## ◆ put_ack_message()

void emoshapeio::event::put_ack_message | ( | message::list const & | ack_message | ) |

## Friends And Related Symbol Documentation

## ◆ event_adapter

friend class event_adapter
| friend

The documentation for this class was generated from the following files:

- EmoShapeIOLib/Public/sio_socket.h
- EmoShapeIOLib/Private/sio_socket.cpp